This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 693938 - Linksys RangePlus Wireless Adapter fails to work after being inserted
Linksys RangePlus Wireless Adapter fails to work after being inserted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
14
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 22:23 EDT by Brock Organ
Modified: 2012-08-16 12:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:43:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brock Organ 2011-04-05 22:23:51 EDT
Using F14, the kernel recognizes my wireless adapter, as this /var/log/messages snippet shows:

Apr  5 21:20:50 localhost kernel: [  944.447016] usb 1-2: new high speed USB device using ehci_hcd and address 5
Apr  5 21:20:50 localhost kernel: [  944.590377] usb 1-2: New USB device found, idVendor=1737, idProduct=0078
Apr  5 21:20:50 localhost kernel: [  944.590381] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr  5 21:20:50 localhost kernel: [  944.590384] usb 1-2: Product: Linksys RangePlus Wireless Network USB Adapter
Apr  5 21:20:50 localhost kernel: [  944.590387] usb 1-2: Manufacturer: Cisco-Linksys LLC

lsusb also shows the device:

[root@localhost ~]# lsusb
Bus 005 Device 003: ID 1241:1111 Belkin Mouse
Bus 005 Device 002: ID 05a4:9841 Ortek Technology, Inc. 
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 006: ID 1737:0078 Linksys WUSB100 RangePlus Wireless USB Network Adapter ver. 2
Bus 001 Device 002: ID 0bda:0111 Realtek Semiconductor Corp. Card Reader
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
[root@localhost ~]# 

but iwconfig does not:

[root@localhost ~]# iwconfig 
lo        no wireless extensions.

eth0      no wireless extensions.

eth1      no wireless extensions.

eth2      no wireless extensions.

[root@localhost ~]# 

and so NetworkManager is unable to present the device for use in GNOME ... here are the current versions of the packages (all from stock F14 install):

[root@localhost ~]# rpm -q kernel udev wireless-tools
kernel-2.6.35.6-45.fc14.x86_64
udev-161-4.fc14.x86_64
wireless-tools-29-5.1.fc12.x86_64
[root@localhost ~]# 

This bad behavior seems to be specific to this wireless adapter, because an other wireless device (RTL8187B) is recognized, configured and used by NetworkManager and functions well:

Apr  5 15:41:25 localhost kernel: [    3.215044] usb 1-1: new high speed USB device using ehci_hcd and address 2
Apr  5 15:41:25 localhost kernel: [    3.336669] usb 1-1: New USB device found, idVendor=0bda, idProduct=8189
Apr  5 15:41:25 localhost kernel: [    3.336673] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr  5 15:41:25 localhost kernel: [    3.336677] usb 1-1: Product: RTL8187B_WLAN_Adapter
Apr  5 15:41:25 localhost kernel: [    3.336679] usb 1-1: Manufacturer: Manufacturer_Realtek
Apr  5 15:41:25 localhost kernel: [    3.336681] usb 1-1: SerialNumber: 00e04c000001

Regards,

Brock
Comment 1 Fedora Admin XMLRPC Client 2011-10-20 12:09:56 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2011-10-20 12:11:52 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2011-10-20 12:14:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2012-08-16 12:43:26 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.